Skip to main content
Back to API List

Get Connectors

This API returns the list of connectors configured for an application, including basic details like name, type, record count, and more.
FieldValue
MethodGET
Endpoint<host_url>/api/public/bot/:botId/connectors
Content-Typeapplication/json
Authorizationauth: <JWT Token>
API ScopePermission Entity

Query Parameters

ParameterDescriptionMandatory
Bot IDProvide your application ID here.Yes
skipNumber of records to skip from the beginning (used for pagination).No
limitNumber of records to fetch in a single call (used for pagination).No

Sample Response

{
  "connectors": [
    {
      "_id": "fcon-73d16e4a-282a-5c41-9ca7-8aec4dd04c63",
      "name": "myConnector",
      "type": "json",
      "createdBy": "john.doe@example.com",
      "isActive": true,
      "sourceId": "fs-cf813bb4-xxxxxxxx-bf25-604c528f9782",
      "resourceid": "findlyConnectors",
      "recordsCount": 1,
      "size": 1
    }
  ],
  "hasMore": false
}